header {
  background-color: #202124;
}

@media (min-width: 992px) {
  header {
    align-items: flex-start;
    bottom: 0;
    left: 0;
    padding: 0;
    position: fixed;
    top: 0;
    width: 215px;
    z-index: 999;
  }
}

.navbar {
  z-index: 998;
}

.navbar.is-open {
  left: 0;
}

.navbar-nav {
  margin: 0 auto;
  text-align: center;
}

.navbar-nav .nav-link {
  color: #fff;
  margin-bottom: 10px;
  padding: 20px 0;
}

.navbar-brand {
  padding: 0px;
}

.navbar-brand img {
  max-width: 150px;
}

.navbar-toggler {
  padding: 13px 8px;
}

@media (max-width: 991px) {
  .navbar-collapse {
    background-color: #202124;
    display: none;
    height: 100vh;
    left: 0;
    padding: 50px;
    position: fixed;
    top: 0;
    width: 100vw;
    z-index: 1100;
  }

  .navbar-collapse.is-open {
    display: flex !important;
  }

  .navbar-collapse .navbar-nav {
    display: flex;
    flex-direction: column;
    height: 100%;
    justify-content: center;
  }

  .navbar-collapse .navbar-nav .nav-link {
    font-family: system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI",
      Roboto, Oxygen, Ubuntu, Cantarell, "Open Sans", "Helvetica Neue",
      sans-serif;
    font-size: 20px;
    letter-spacing: 1px;
  }

  .navbar-close {
    cursor: pointer;
    padding: 10px;
    position: absolute;
    right: 30px;
    top: 10px;
  }

  .navbar-brand {
    padding: 0px;
  }

  .navbar-brand img {
    max-width: 130px;
  }
}

@media (min-width: 992px) {
  .navbar {
    align-items: flex-start;
    background-color: #202124;
    bottom: 0;
    height: 100vh;
    left: 0;
    padding: 0;
    position: absolute;
    top: 0;
    width: 215px;
    z-index: 999;
  }

  .navbar-close,
  .navbar-toggler {
    display: none;
  }

  .navbar-nav {
    margin-left: 0;
    text-align: left;
  }

  .navbar-nav .nav-link {
    font-size: 13px;
    letter-spacing: 1px;
    line-height: 1;
    margin-bottom: 0;
    padding: 12px 30px;
    position: relative;
  }

  .navbar-nav .nav-link.active {
    color: #da291c;
  }

  .navbar-nav .nav-link.active:after {
    background-color: #da291c;
  }

  .navbar-nav .nav-link:after {
    background-color: hsla(0, 0%, 100%, 0.5);
    content: "";
    height: 1px;
    left: 0;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    transition: left 0.3s ease-in;
    width: 10px;
  }

  .navbar-nav .nav-link:hover:after {
    left: 5px;
  }
}

html {
  overflow-y: auto;
}

.p-home main {
  /*background: #aaa;*/
  height: calc(100vh + 29px);
}

.p-home header {
  background: linear-gradient(90deg, #000 5%, transparent);
}

.p-home .navbar {
  left: 0;
  position: absolute;
  right: 0;
  top: 0;
}

@media (min-width: 992px) {
  .p-home .navbar {
    background: transparent;
  }

  .p-home main {
    margin-left: 0;
    padding-top: 0;
  }
}

/* Slideshow container */
.slideshow {
  position: relative;
  width: 100%;
  height: 100vh; /* Full-page height */
  overflow: hidden;
}

/* Keyframes for zoom effect */
@keyframes zoomInOut {
  0%,
  100% {
    transform: scale(1); /* Start slightly zoomed out */
  }
  50% {
    transform: scale(1.2); /* End at original size */
  }
}

.slide-animation {
  position: absolute;
  width: 100%;
  height: 100%;
  transition: opacity 1s ease-in-out; 
  opacity: 0; /* Hide slides initially */
}


/* Individual slides */
.slide {
  position: absolute;
  width: 100%;
  height: 100%;
  background-size: cover;
  background-position: center;    
  animation: zoomInOut 15s ease-in-out infinite; /* Match the slide interval */
}

/* Show the active slide */
.slide-animation.active {
  opacity: 1;
  z-index: 1; /* Bring active slide to the front */
}

/* Keyframes for text fly-in-right effect */
@keyframes flyInRight {
  from {
    opacity: 0;
    transform: translateX(100%);
  }
  to {
    opacity: 1;
    transform: translateX(0);
  }
}

/* Slide Text Overlay */
.slide-text {
  position: absolute;
  bottom: 100px;
  left: 15px;
  right: 60px;
  z-index: 5;
  color: #fff;
  text-align: left;
  font-family: system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto,
    Oxygen, Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
 }

.slide-text h1 {
  font-size: 2rem;
  margin-bottom: 30px;
  font-weight: 100;
}
.slide-text p {
  font-size: 1.125rem;
  line-height: 1.5;
  margin-right: 30px;
  font-weight: 100;
}

.slide-animation .slide-text p {
  opacity: 0;
  transform: translateX(100%);
}

.slide-animation.active .slide-text p {
  animation: flyInRight 1s ease-out forwards;
  animation-delay: 1s;
}

/* Responsive Adjustments */
@media (min-width: 992px) {
  .slide-text {
    bottom: 100px;
    left: 300px;
    max-width: 800px;
    width: 60%;
  }

  .slide-text h1 {
    font-size: 2.5rem;
  }

  .slide-text p {
    font-size: 1.2rem;
  }
}

/*.fade {
  opacity: 0; /* Initially hidden *
  transition: opacity 1s ease-in; * Smooth fade effect 
}
.fade.visible {
  opacity: 1; /* Make visible when class "visible" is added 
}*/

/*@keyframes fly-home-text {
  from {
    transform: translateX(4400px);
  }
  to {
    transform: translateX(0px);
  }
}

#slide1 {
  animation: fly-home-text 60s steps(4, Start) infinite;
}

#slide2 {
  animation: fly-home-text 60s steps(4, Start) 15s infinite;
}

#slide3 {
  animation: fly-home-text 60s steps(4, Start) 30s infinite;
}

#slide4 {
  animation: fly-home-text 60s steps(4, Start) 45s infinite;
}*/

.SN-logos {
  display: flex;
  width: 100%;
  justify-content: center;
  padding: 20px 10px 0px;
  gap: 15px;
}

@media (min-width: 992px) {
  footer {
    height: 100px;
  }
}

footer {
  text-align: center;
  font-family: system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto,
    Oxygen, Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;

  font-size: 14px;
  letter-spacing: 1px;
  padding: 0px;
  background-color: #202124;
  color: #7e8084;
  position: relative;
  bottom: 0px;
  margin-top: -30px;
  left: 0;
  width: 100%;
  z-index: 999;
  overflow: hidden;
}

@media (max-width: 760px) {
  footer {
    font-size: 12px;
  }
}

footer p {
  padding-top: 20px;
}
